module Easy
  module Configuration
    class MenuEntityLink < MenuCustomLink

      attr_reader :class_name

      def initialize(class_name, options = {}, &block)
        @class_name = class_name

        super(options, &block)
      end

      def url(view_context, decorator)
        super || decorator.path_to_index
      end

    end
  end
end
