module Easy
  module Configuration
    class MenuTitle < MenuItem

      def initialize(options = {}, &block)
        @caption = options.delete(:caption)

        super(options, &block)
      end

      def caption
        case @caption
        when String
          @caption
        when NilClass
          ''
        else
          I18n.t(@caption)
        end
      end

    end
  end
end
